Name:           oreon-upgrade
Version:        10
Release:        1%{?dist}
Summary:        Oreon Upgrade Notification Popup

License:        GPL-3.0-or-later
URL:            https://oreonproject.org/oreon-10/
Source0:        oreon-upgrade.sh
Source1:        oreon-upgrade.service

BuildArch:      noarch

BuildRequires:	systemd
Requires:       zenity
Requires:       at
Requires:       python3
Requires:       xdg-utils
Requires:       oreon-upgrade-tool

%description
This package provides a Zenity popup for the Oreon 10 upgrade notification. It runs on system boot,
unless the user chooses "Remind me Later", in which case the script schedules itself to run later.

%install
install -D -m 0755 %{SOURCE0} %{buildroot}%{_bindir}/oreon-upgrade.sh
install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/oreon-upgrade.service

%post
%systemd_post oreon-upgrade.service

%preun
%systemd_preun oreon-upgrade.service

%postun
%systemd_postun_with_restart oreon-upgrade.service

%files
%{_bindir}/oreon-upgrade.sh
%{_unitdir}/oreon-upgrade.service

%changelog
* Thu Mar 14 2025 Brandon Lester <blester@oreonproject.org> - 10-1
- Allow for upgrades to Oreon 10.

